gst_pipeline_test crashed with ImportError in <module>()

Bug #334442 reported by Daniel Semblano on 2009-02-25
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Checkbox
Medium
David Murphy
checkbox (Ubuntu)
Medium
David Murphy

Bug Description

1:
Description: Ubuntu jaunty (development branch)
Release: 9.04

After running the "System Testing" program from Ubuntu/Kubuntu (because my sound card stop working after a new update), it gives me this error, although I was able to finish the test and sending it.

Kubuntu Jaunty - ext4 - Pentium D 925

ProblemType: Crash
Architecture: amd64
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/share/checkbox/scripts/gst_pipeline_test
InterpreterPath: /usr/bin/python2.5
Package: checkbox 0.5
PackageArchitecture: all
ProcAttrCurrent: unconfined
ProcCmdline: /usr/bin/python /usr/share/checkbox/scripts/gst_pipeline_test -t 2 audiotestsrc\ wave=sine\ freq=512\ !\ audioconvert\ !\ audioresample\ !\ gconfaudiosink
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/checkbox/scripts/gst_pipeline_test', '-t', '2', 'audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink']
SourcePackage: checkbox
Title: gst_pipeline_test crashed with ImportError in <module>()
Traceback:
 Traceback (most recent call last):
   File "/usr/share/checkbox/scripts/gst_pipeline_test", line 6, in <module>
     import pygst
 ImportError: No module named pygst
Uname: Linux 2.6.28-8-generic x86_64
UserGroups:

Daniel Semblano (dsemblano) wrote :
description: updated
Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in checkbox.

David Murphy (schwuk) wrote :

Daniel, it looks like you haven't got the python-gst0.10 installed (the checkbox package only recommends python-gst which dates back to Dapper. Can you confirm whether you have that package, if not try installing it, and re-running?

Changed in checkbox (Ubuntu):
assignee: nobody → schwuk
status: New → Incomplete
David Murphy (schwuk) wrote :

I've modified the recommends to use python-gst0.10 instead of python-gst.

Changed in checkbox (Ubuntu):
importance: Undecided → Medium
milestone: none → ubuntu-9.04-beta
status: Incomplete → Fix Committed
David Murphy (schwuk) wrote :

Fix committed in trunk r509 and 0.7 r507.

Changed in checkbox:
assignee: nobody → schwuk
importance: Undecided → Medium
milestone: none → 0.7.1
status: New → Fix Committed
john.yarger (john-yarger) wrote :

just installed the beta and got the error...

David Murphy (schwuk) wrote :

Released in Checkbox 0.7.1.

Changed in checkbox:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package checkbox - 0.7.1

---------------
checkbox (0.7.1) jaunty; urgency=low

  * New Bugfix release (LP: #352389)
  * New icon
  * Fixed pygst dependency (LP: #334442)
  * Fixed configuration file updates during install (LP: #330596) and
    and DBus exceptions (LP: #344916)
  * Expanded and fixed translations (LP: #347038)

 -- Dave Murphy <email address hidden> Tue, 31 Mar 2009 13:54:12 +0100

Changed in checkbox:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers